Python
client.shuttle.delete_shuttle_subject_mapping_by_id_v2026_r0(resource_id)await client.shuttle.deleteShuttleSubjectMappingByIdV2026R0(resourceId);try await client.shuttle.deleteShuttleSubjectMappingByIdV2026R0(shuttleSubjectMappingId: resourceId)client.getShuttle().deleteShuttleSubjectMappingByIdV2026R0(resourceId)await client.Shuttle.DeleteShuttleSubjectMappingByIdV2026R0Async(shuttleSubjectMappingId: resourceId);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Shuttle
Delete shuttle subject mapping
Permanently deletes the shuttle subject mapping identified by its ID.
DELETE
/
shuttle_subject_mappings
/
{shuttle_subject_mapping_id}
Python
client.shuttle.delete_shuttle_subject_mapping_by_id_v2026_r0(resource_id)await client.shuttle.deleteShuttleSubjectMappingByIdV2026R0(resourceId);try await client.shuttle.deleteShuttleSubjectMappingByIdV2026R0(shuttleSubjectMappingId: resourceId)client.getShuttle().deleteShuttleSubjectMappingByIdV2026R0(resourceId)await client.Shuttle.DeleteShuttleSubjectMappingByIdV2026R0Async(shuttleSubjectMappingId: resourceId);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Learn more about Box SDK versioning strategy.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version header.
Available options:
2026.0 Path Parameters
The unique identifier for the shuttle subject mapping.
Response
Returns an empty response when the shuttle subject mapping was successfully deleted.
Last modified on October 26, 2026
Was this page helpful?
